// This file is released under the 3-clause BSD license. See COPYING-BSD.

function create_gui_template()
    page = list();
    page($+1) = list(list('text', 'Continuous system name'), list('edit', 'sys'));
    page($+1) = list(list('text', 'Time sampling in seconds'), list('edit', '0.1'));
    page($+1) = list(list('text', 'Stationnary final time in seconds'), list('edit', '5.0'));
    page($+1) = list(list('text', 'Predictive parameter N1'), list('edit', '3'));
    page($+1) = list(list('text', 'Predictive parameter N2'), list('edit', '5'));
    page($+1) = list(list('text', 'Predictive parameter Nu'), list('edit', '10'));
    page($+1) = list(list('pushbutton','Generate RST controler', 'callback','rst_callback'), list('pushbutton', 'Simulate', 'callback', 'simulate_callback'));
    [sys, Te, Tf, N1, N2, Nu] = guimaker(page,list('Constraint free RST predictive controler'))
endfunction

function rst_callback()
    disp('Generating RST controler...');
endfunction

function simulate_callback()
    disp('Simulating RST controler...');
endfunction

